﻿/**
 *@file api.h
 *
 *@English
 *@brief General API functions
 *@EndEnglish
 *
 *@Japanese
 *@brief API全般の関数
 *@n
 *@n
 *<b>汎用エラー一覧</b>@n
 *\arg \c NLCE_API_MAINTENANCE - サービスがメンテナンス中
 *\arg \c NLCE_API_ACCOUNT_DATA_INCORRECT - アカウント情報が間違っている、無効なクッキーが渡された
 *\arg \c NLCE_API_ACCOUNT_LOCKED - アカウントがロックされている
 *@EndJapanese
 */
#ifndef _NLC_API_H
#define _NLC_API_H
#include <NicoLib/types.h>
#include <NicoLib/xmlparser.h>

#ifdef __cplusplus
extern "C" {
#endif

int nlc_api_ismaintenance(
	NLCXMLParser *nlcxml
	);



#ifdef __cplusplus
}
#endif
#endif

